> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# 重命名训练后的模型

> 更新与 Fastino 训练任务关联的显示名称。

`PATCH /v1/training-jobs/{job_id}/model-name`

更新训练任务上的模型名称。

## 请求

<ParamField header="X-API-Key" type="string" required>
  您的 Fastino API 密钥。
</ParamField>

<ParamField path="job_id" type="string" required>
  训练任务 UUID。
</ParamField>

<ParamField body="model_name" type="string" required>
  新的模型名称。长度:1–64 个字符。可使用字母、数字、连字符或下划线。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.fastino.ai/v1/training-jobs/YOUR_TRAINING_JOB_ID/model-name \
    -H "X-API-Key: $FASTINO_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"model_name": "my-model-name"}'
  ```
</RequestExample>

## 响应

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Model name updated",
    "job_id": "YOUR_TRAINING_JOB_ID",
    "model_name": "my-model-name"
  }
  ```
</ResponseExample>

无效名称返回 `422`。未知或无法访问的任务返回 `404`。
